Bug 55623 - fetchmailconf corrupts .fetchmailrc file
Summary: fetchmailconf corrupts .fetchmailrc file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fetchmail (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-03 00:15 UTC by Robert Nichols
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version: 6.2.5-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-11 18:43:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Nichols 2001-11-03 00:15:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-6 i586; Nav)

Description of problem:
When modifying an existing configuration which has entries for more than
one server, fetchmailconf inserts a spurious "port None" in the options for
the server that was _not_ edited.  This only occurs if the old
configuration allowed the port number to default for that system.

The resulting .fetchmailrc cannot then be re-edited by fetchmailconf.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create the .fetchmailrc shown in the results below.
2.Run fetchmailconf, select "Expert configuration," and modify the message
size limit for the user on the first system.
3.Save the resulting configuration.
	

Actual Results:  $ cat .fetchmailrc
# Configuration created Fri Nov  2 12:15:46 2001 by fetchmailconf
set logfile "/home/rnichols/mail/fetchlog"
set postmaster "rnichols"
set bouncemail
set no spambounce
set properties ""
poll interaccess via pop.interaccess.com
 with proto POP3 timeout 180
       user 'rnichols' there with password 'xxxxxxxx' is 'rnichols' here
options limit 250000

poll server2 via mail.server2.com
 with proto POP3 timeout 180 interval 4
       user 'user999' there with password 'xxxxxxxx' is 'rnichols' here
$ fetchmailconf
$ cat .fetchmailrc
set logfile "/home/rnichols/mail/fetchlog"
set postmaster "rnichols"
set bouncemail
set no spambounce
set properties ""
poll interaccess via pop.interaccess.com
 with proto POP3 timeout 180
       user 'rnichols' there with password 'xxxxxxxx' is 'rnichols' here
limit 300000

poll server2 via mail.server2.com
 with proto POP3 port None timeout 180 interval 4
       user 'user999' there with password 'xxxxxxxx' is 'rnichols' here
$

Expected Results:  There should be no "port None" in the options for
server2.com.


Additional info:

Comment 1 Robert Nichols 2001-11-03 00:23:53 UTC
Version is fetchmail-5.9.0-0.7.1


Comment 2 Miloslav Trmač 2005-06-11 18:43:15 UTC
I'm sorry about the late response.

Fixed in rawhide fetchmail-6.2.5-9 (even though fetchmailconf is not built).
Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.